import {Component, inject} from '@angular/core';
import {RouterLink, RouterOutlet} from '@angular/router';
import {Title} from '@angular/platform-browser';
import {FooterComponent} from "./footer/footer.component";
import {TopNavComponent} from "./top-nav/top-nav.component";

@Component({
  selector: 'app-root',
  imports: [RouterOutlet, FooterComponent, TopNavComponent],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss'
})
export class AppComponent {
  public titleService = inject(Title);

  constructor() {
    this.titleService.setTitle("Troop 20");
  }
}
